Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface EJBContainerMBean

All Known Subinterfaces:
  EJBComponentMBean

public interface EJBContainerMBean
extends ConfigurationMBean

This MBean is used to specify EJB container-wide settings. These can be overridden by a specific EJBComponentMBean.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getExtraEjbcOptions()` Returns the extra options passed to ejbc during the dynamic ejbc of a jar file.
`java.lang.String` | `getExtraRmicOptions()` Return the extra options passed to rmic during server-side generation.
`boolean` | `getForceGeneration()` Return true if ejbc should force regeneration of wrapper classes, false if it should regenerate the files only if it determines it needs to do so, based on checksum.
`java.lang.String` | `getJavaCompiler()` Return the path to the Java compiler to use to compile EJB's (e.g.
`java.lang.String` | `getJavaCompilerPostClassPath()` Return the options to append to the Java compiler classpath for when we need to compile Java code.
`java.lang.String` | `getJavaCompilerPreClassPath()` Return the options to prepend to the Java compiler classpath for when we need to compile Java code.
`boolean` | `getKeepGenerated()` Return true if ejbc should keep its generated source files, false if it should delete them after compiling them.
`java.lang.String` | `getTmpPath()` Deprecated.
`java.lang.String` | `getVerboseEJBDeploymentEnabled()` Returns true if verbose deployment of EJB's is enabled.
`void` | `setExtraEjbcOptions(java.lang.String options)`
`void` | `setExtraRmicOptions(java.lang.String options)` Sets the extraRmicOptions attribute of the EJBContainerMBean object
`void` | `setForceGeneration(boolean f)` Sets the forceGeneration attribute of the EJBContainerMBean object
`void` | `setJavaCompiler(java.lang.String javaCompiler)` Sets the javaCompiler attribute of the EJBContainerMBean object
`void` | `setJavaCompilerPostClassPath(java.lang.String postClassPath)` Sets the javaCompilerPostClassPath attribute of the EJBContainerMBean object
`void` | `setJavaCompilerPreClassPath(java.lang.String preClassPath)` Sets the javaCompilerPreClassPath attribute of the EJBContainerMBean object
`void` | `setKeepGenerated(boolean f)` Sets the keepGenerated attribute of the EJBContainerMBean object
`void` | `setTmpPath(java.lang.String path)` Deprecated.
`void` | `setVerboseEJBDeploymentEnabled(java.lang.String verbose)` Sets the verboseEJBDeploymentEnabled attribute of the EJBContainerMBean object

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getJavaCompiler

    public java.lang.String getJavaCompiler()

  Return the path to the Java compiler to use to compile EJB's (e.g. "sj" or "javac"). Note: the default for this attribute must be null. If no JavaCompiler is specified on this specific EJBComponent, the default will be pulled in the following order from - EJBContainerMBean - Server.JavaCompiler.

  Returns:
    The javaCompiler value

### setJavaCompiler

    public void setJavaCompiler(java.lang.String javaCompiler)
                         throws javax.management.InvalidAttributeValueException

  Sets the javaCompiler attribute of the EJBContainerMBean object

  A dynamic MBean attribute
  Default Value: null
  Secure Value: null
  Parameters:
    `javaCompiler` - The new javaCompiler value
  Throws:
    javax.management.InvalidAttributeValueException -

### getJavaCompilerPreClassPath

    public java.lang.String getJavaCompilerPreClassPath()

  Return the options to prepend to the Java compiler classpath for when we need to compile Java code.

  Returns:
    The javaCompilerPreClassPath value

### setJavaCompilerPreClassPath

    public void setJavaCompilerPreClassPath(java.lang.String preClassPath)
                                     throws javax.management.InvalidAttributeValueException

  Sets the javaCompilerPreClassPath attribute of the EJBContainerMBean object

  Default Value: null
  Secure Value: null
  Parameters:
    `preClassPath` - The new javaCompilerPreClassPath value
  Throws:
    javax.management.InvalidAttributeValueException -

### getJavaCompilerPostClassPath

    public java.lang.String getJavaCompilerPostClassPath()

  Return the options to append to the Java compiler classpath for when we need to compile Java code.

  Returns:
    The javaCompilerPostClassPath value

### setJavaCompilerPostClassPath

    public void setJavaCompilerPostClassPath(java.lang.String postClassPath)

  Sets the javaCompilerPostClassPath attribute of the EJBContainerMBean object

  Default Value: null
  Secure Value: null
  Parameters:
    `postClassPath` - The new javaCompilerPostClassPath value

### getExtraRmicOptions

    public java.lang.String getExtraRmicOptions()

  Return the extra options passed to rmic during server-side generation. Note: the default for this attribute must be null. If no ExtraRmicOptions are specified on the EJBComponent, the default will be pulled from Server.ExtraRmicOptions..

  Default Value: null
  Returns:
    The extraRmicOptions value

### setExtraRmicOptions

    public void setExtraRmicOptions(java.lang.String options)
                             throws javax.management.InvalidAttributeValueException

  Sets the extraRmicOptions attribute of the EJBContainerMBean object

  Parameters:
    `options` - The new extraRmicOptions value
  Throws:
    javax.management.InvalidAttributeValueException -

### getKeepGenerated

    public boolean getKeepGenerated()

  Return true if ejbc should keep its generated source files, false if it should delete them after compiling them.

  Returns:
    The keepGenerated value

### setKeepGenerated

    public void setKeepGenerated(boolean f)

  Sets the keepGenerated attribute of the EJBContainerMBean object

  Default Value: true
  Secure Value: false
  Parameters:
    `f` - The new keepGenerated value

### getForceGeneration

    public boolean getForceGeneration()

  Return true if ejbc should force regeneration of wrapper classes, false if it should regenerate the files only if it determines it needs to do so, based on checksum.

  Default Value: false
  Returns:
    The forceGeneration value

### setForceGeneration

    public void setForceGeneration(boolean f)

  Sets the forceGeneration attribute of the EJBContainerMBean object

  Parameters:
    `f` - The new forceGeneration value

### getTmpPath

    public java.lang.String getTmpPath()

  Deprecated.
  Return the temporary directory where generated files are stored by ejbc. Deprecated: All EJB compiler output is now stored in the EJBCompilerCache subdirectory of the server staging directory. This directory should not be described as "temporary" since removing it would cause the EJB compiler to be rerun as necessary the next time the server is restarted.

  Default Value: "tmp_ejb"
  Returns:
    The tmpPath value

### setTmpPath

    public void setTmpPath(java.lang.String path)

  Deprecated.
  Sets the tmpPath attribute of the EJBContainerMBean object. Deprecated: This attribute is no longer used. See the getTmpPath() method for more information.

  Parameters:
    `path` - The new tmpPath value

### getVerboseEJBDeploymentEnabled

    public java.lang.String getVerboseEJBDeploymentEnabled()

  Returns true if verbose deployment of EJB's is enabled.

  Default Value: "false"
  Returns:
    The verboseEJBDeploymentEnabled value

### setVerboseEJBDeploymentEnabled

    public void setVerboseEJBDeploymentEnabled(java.lang.String verbose)

  Sets the verboseEJBDeploymentEnabled attribute of the EJBContainerMBean object

  Parameters:
    `verbose` - The new verboseEJBDeploymentEnabled value

### getExtraEjbcOptions

    public java.lang.String getExtraEjbcOptions()

  Returns the extra options passed to ejbc during the dynamic ejbc of a jar file. Eg: -J-mx128m Note: the default for this attribute must be null. If no ExtraEJBCOptions are specified on the EJBComponent, the default will be pulled from the Server.ExtraEJBCOptions..

  Default Value: null

### setExtraEjbcOptions

    public void setExtraEjbcOptions(java.lang.String options)
                             throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD